| AngelScript |

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
asIThreadManager Class Reference

The interface for the thread manager. More...

## Detailed Description

This interface is used to represent the internal thread manager prepared with asPrepareMultithread() and returned by asGetThreadManager(). The application shouldn't do anything with this except pass it to another call to asPrepareMultithread() in case there is a need to share a common thread manager across multiple application modules (dlls).

The documentation for this class was generated from the following file:

- angelscript.h